| optoICC

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | Static Protected Attributes | List of all members
optoICC.registers.icc_registers.LensCompensation Class Reference
Inheritance diagram for optoICC.registers.icc_registers.LensCompensation:

## Public Member Functions
| __init__ (self, int channel=0, board=None)
| GetCurrent (self)
| Gets actual current.
| GetDiopter (self)
| Gets actual diopter.
| GetFilterCoefficent_a (self)
| GetFilterCoefficent_b (self)
| GetXv_creepCompensation_act (self)
| GetXv_creepCompensation_old (self)
| GetYv_creepCompensation_act (self)
| GetYv_creepCompensation_old (self)
| GetGain_Variable (self)
| SetGain_Variable (self, value)
| GetCreepCompensation (self)
| GetPart_config (self)
| SetPart_config (self, value)
| GetDrift_value (self)
| GetMinYellowFlag_value (self)
| GetMaxYellowFlag_value (self)
| GetMinRedFlag_value (self)
| GetMaxRedFlag_value (self)
| GetMinScrollFlag_value (self)
| GetMaxScrollFlag_value (self)
| GetMaxDiopter (self)
| GetMinDiopter (self)

## Static Public Member Functions
| help ()

## Public Attributes
| sys_id
| diopter
| current
| filtercoefficent_a
| filtercoefficent_b
| xv_creepcompensation_act
| xv_creepcompensation_old
| yv_creepcompensation_act
| yv_creepcompensation_old
| Gain_Variable
| creepcompensation
| part_config
| drift_value
| min_lim_yellow
| max_lim_yellow
| min_lim_red
| max_lim_red
| min_lim_scroll
| max_lim_scroll
| min_gua_temperature
| max_gua_temperature
| name

## Static Protected Attributes
bool | _is_a_system = True

## Detailed Description

    /**
    * \page LensCompensation Lens Compensation
    *
    * Lens compensation system ID : <b>0xC8</b>
    *
    * ### Register Map:
    *
    *  | Address | Name                         | Default Value | Description                      | Type   |  Access
    *  | --------|------------------------------|---------------|----------------------------------|------- | --------
    *  0xC[8-F]00 | diopter                     | 0.0           | diopter                          | float  | read only
    *  0xC[8-F]01 | current                     | 0.0           | output current                   | float  | read only
    *  0xC[8-F]02 | filtercoefficent_a          | 0.0           | filtercoefficent_a               | float  | read only
    *  0xC[8-F]03 | filtercoefficent_b          | 0.0           | filtercoefficent_b               | float  | read only
    *  0xC[8-F]04 | xv_creepcompensation_act    | 0.0           | xv_creepcompensation_act         | float  | read only
    *  0xC[8-F]05 | xv_creepcompensation_old    | 0.0           | xv_creepcompensation_old         | float  | read only
    *  0xC[8-F]06 | yv_creepcompensation_act    | 0.0           | yv_creepcompensation_act         | float  | read only
    *  0xC[8-F]07 | yv_creepcompensation_old    | 0.0           | yv_creepcompensation_old         | float  | read only
    *  0xC[8-F]08 | Gain_Variable               | 1             | Gain_Variable                    | float  | read only
    *  0xC[8-F]09 | creepcompensation           | 0.0           | creepcompensation                | float  | read only
    *  0xC[8-F]0A | part_config                 | 0             | part_config                      | float  | read write
    *  0xC[8-F]0B | driftValue                   | 0.0           | driftValue                       | float  | read only
    *  0xC[8-F]0C | minLimitForYellowFlag        | 0.0           | min Limit For Yellow Flag        | float  | read only
    *  0xC[8-F]0D | maxLimitForYellowFlag        | 0.0           | max Limit For Yellow Flag        | float  | read only
    *  0xC[8-F]0E | minLimitForRedFlag           | 0.0           | min Limit For Red Flag           | float  | read only
    *  0xC[8-F]0F | maxLimitForRedFlag           | 0.0           | max Limit For Red Flag           | float  | read only
    *  0xC[8-F]10 | minLimitForScrollFlag        | 0.0           | min Limit For Scroll Flag        | float  | read only
    *  0xC[8-F]11 | maxLimitForScrollFlag        | 0.0           | max Limit For Scroll Flag        | float  | read only
    *  0xC[8-F]12 | minGuaranteedTemperature     | 0.0           | min guaranteed Temperature       | float  | read write
    *  0xC[8-F]13 | maxGuaranteedTemperature     | 0.0           | max guaranteed Temperature       | float  | read write
    */

## Constructor & Destructor Documentation

## ◆ __init__()

optoICC.registers.icc_registers.LensCompensation.__init__ | ( |  | self,
|  | int | channel = 0,
|  |  | board = None )

## Member Function Documentation

## ◆ help()

optoICC.registers.icc_registers.LensCompensation.help | ( |  | ) |
| static

## ◆ GetCurrent()

optoICC.registers.icc_registers.LensCompensation.GetCurrent | ( |  | self | ) |

Gets actual current.

## ◆ GetDiopter()

optoICC.registers.icc_registers.LensCompensation.GetDiopter | ( |  | self | ) |

Gets actual diopter.

## ◆ GetFilterCoefficent_a()

optoICC.registers.icc_registers.LensCompensation.GetFilterCoefficent_a | ( |  | self | ) |

## ◆ GetFilterCoefficent_b()

optoICC.registers.icc_registers.LensCompensation.GetFilterCoefficent_b | ( |  | self | ) |

## ◆ GetXv_creepCompensation_act()

optoICC.registers.icc_registers.LensCompensation.GetXv_creepCompensation_act | ( |  | self | ) |

## ◆ GetXv_creepCompensation_old()

optoICC.registers.icc_registers.LensCompensation.GetXv_creepCompensation_old | ( |  | self | ) |

## ◆ GetYv_creepCompensation_act()

optoICC.registers.icc_registers.LensCompensation.GetYv_creepCompensation_act | ( |  | self | ) |

## ◆ GetYv_creepCompensation_old()

optoICC.registers.icc_registers.LensCompensation.GetYv_creepCompensation_old | ( |  | self | ) |

## ◆ GetGain_Variable()

optoICC.registers.icc_registers.LensCompensation.GetGain_Variable | ( |  | self | ) |

## ◆ SetGain_Variable()

optoICC.registers.icc_registers.LensCompensation.SetGain_Variable | ( |  | self,
|  |  | value )

## ◆ GetCreepCompensation()

optoICC.registers.icc_registers.LensCompensation.GetCreepCompensation | ( |  | self | ) |

## ◆ GetPart_config()

optoICC.registers.icc_registers.LensCompensation.GetPart_config | ( |  | self | ) |

## ◆ SetPart_config()

optoICC.registers.icc_registers.LensCompensation.SetPart_config | ( |  | self,
|  |  | value )

## ◆ GetDrift_value()

optoICC.registers.icc_registers.LensCompensation.GetDrift_value | ( |  | self | ) |

## ◆ GetMinYellowFlag_value()

optoICC.registers.icc_registers.LensCompensation.GetMinYellowFlag_value | ( |  | self | ) |

## ◆ GetMaxYellowFlag_value()

optoICC.registers.icc_registers.LensCompensation.GetMaxYellowFlag_value | ( |  | self | ) |

## ◆ GetMinRedFlag_value()

optoICC.registers.icc_registers.LensCompensation.GetMinRedFlag_value | ( |  | self | ) |

## ◆ GetMaxRedFlag_value()

optoICC.registers.icc_registers.LensCompensation.GetMaxRedFlag_value | ( |  | self | ) |

## ◆ GetMinScrollFlag_value()

optoICC.registers.icc_registers.LensCompensation.GetMinScrollFlag_value | ( |  | self | ) |

## ◆ GetMaxScrollFlag_value()

optoICC.registers.icc_registers.LensCompensation.GetMaxScrollFlag_value | ( |  | self | ) |

## ◆ GetMaxDiopter()

optoICC.registers.icc_registers.LensCompensation.GetMaxDiopter | ( |  | self | ) |

## ◆ GetMinDiopter()

optoICC.registers.icc_registers.LensCompensation.GetMinDiopter | ( |  | self | ) |

## Member Data Documentation

## ◆ _is_a_system

bool optoICC.registers.icc_registers.LensCompensation._is_a_system = True
| static protected

## ◆ sys_id

optoICC.registers.icc_registers.LensCompensation.sys_id

## ◆ diopter

optoICC.registers.icc_registers.LensCompensation.diopter

## ◆ current

optoICC.registers.icc_registers.LensCompensation.current

## ◆ filtercoefficent_a

optoICC.registers.icc_registers.LensCompensation.filtercoefficent_a

## ◆ filtercoefficent_b

optoICC.registers.icc_registers.LensCompensation.filtercoefficent_b

## ◆ xv_creepcompensation_act

optoICC.registers.icc_registers.LensCompensation.xv_creepcompensation_act

## ◆ xv_creepcompensation_old

optoICC.registers.icc_registers.LensCompensation.xv_creepcompensation_old

## ◆ yv_creepcompensation_act

optoICC.registers.icc_registers.LensCompensation.yv_creepcompensation_act

## ◆ yv_creepcompensation_old

optoICC.registers.icc_registers.LensCompensation.yv_creepcompensation_old

## ◆ Gain_Variable

optoICC.registers.icc_registers.LensCompensation.Gain_Variable

## ◆ creepcompensation

optoICC.registers.icc_registers.LensCompensation.creepcompensation

## ◆ part_config

optoICC.registers.icc_registers.LensCompensation.part_config

## ◆ drift_value

optoICC.registers.icc_registers.LensCompensation.drift_value

## ◆ min_lim_yellow

optoICC.registers.icc_registers.LensCompensation.min_lim_yellow

## ◆ max_lim_yellow

optoICC.registers.icc_registers.LensCompensation.max_lim_yellow

## ◆ min_lim_red

optoICC.registers.icc_registers.LensCompensation.min_lim_red

## ◆ max_lim_red

optoICC.registers.icc_registers.LensCompensation.max_lim_red

## ◆ min_lim_scroll

optoICC.registers.icc_registers.LensCompensation.min_lim_scroll

## ◆ max_lim_scroll

optoICC.registers.icc_registers.LensCompensation.max_lim_scroll

## ◆ min_gua_temperature

optoICC.registers.icc_registers.LensCompensation.min_gua_temperature

## ◆ max_gua_temperature

optoICC.registers.icc_registers.LensCompensation.max_gua_temperature

## ◆ name

optoICC.registers.icc_registers.LensCompensation.name